<?php

namespace App\Models\goods\mysql;

use Api\PhpUtils\Mysql\MysqlBase;

/**
 * Class GoodsSnapshot
 * 商品快照
 * @package App\Models\goods\mysql
 */
class GoodsSnapshot extends MysqlBase
{
    const TABLE_NAME = 'goods_snapshot';
    const CONFIG_INDEX = 'goods';

    public static function getRecord($where, $colums = [])
    {
        if (empty($colums)) {
            $colums = '*';
        }
        return self::get($colums, $where);
    }

    public static function getRecordMaster($where, $colums = [])
    {
        if (empty($colums)) {
            $colums = '*';
        }
        return self::selectMaster($colums, $where);
    }

    public static function insertRecord($colums)
    {
        return self::insert($colums);
    }
}